<?
// Version 2015062301, (c) 2010, 2015 by W.R.Schulz, Kngen

/*
+-------+---------+------+-----+---------+----------------+
| Field | Type    | Null | Key | Default | Extra          |
+-------+---------+------+-----+---------+----------------+
| id    | int(11) | NO   | PRI | NULL    | auto_increment | 
| time  | int(11) | NO   | MUL | 0       |                | 
| type  | text    | NO   |     | NULL    |                | 
| inc   | text    | YES  |     | NULL    |                | 
| msg   | text    | NO   |     | NULL    |                | 
+-------+---------+------+-----+---------+----------------+
*/

class terminVO
{
  public $m_ID    = 0;
  public $m_Time  = 0;
  public $m_Type  = null;
  public $m_Inc   = null;
  public $m_Msg   = null;

  protected function doMoProHelper( $mon, $year )
  {
    $firstOfMonth     = mktime( 0, 0, 0, $mon, 1, $year );
    $firstDayOfMonth  = date( 'w', $firstOfMonth );
    $threshold        = intval( $this->m_Inc / 7 ) * 7;
    $tmpOffs          = $this->m_Inc - $firstDayOfMonth;

    if ( $tmpOffs < $threshold )
    {
      $tmpOffs += 7;
    }

    return ($firstOfMonth + ($tmpOffs * 24 * 60 * 60));
  }

  protected function doMoProgress( $today )
  {
    $todayInfo  = getdate( $today );
    $newTime    = $this->doMoProHelper( $todayInfo['mon'], $todayInfo['year'] );

    if ( $newTime < $today )
    {
      $y = $todayInfo['year'];
      $m = $todayInfo['mon'] + 1;

      if ( $m > 12 )
      {
        $m = 1;
        $y++;
      }

      $newTime = $this->doMoProHelper( $m, $y );
    }

    $this->m_Time = $newTime;
  }

  protected function checkProgress()
  {
    $rVal = true;

    $today = mktime( 0, 0, 0 );

    while ( $rVal && $this->m_Time < $today )
    {
      switch ( $this->m_Type )
      {
        case '1':
          $rVal = false;
          break;
        case 'y':
          $old          = getdate( $this->m_Time );
          $this->m_Time = mktime( 0, 0, 0, $old['mon'], $old['mday'], $old['year'] + 1 );
          break;
        case 'mo':
          $this->doMoProgress( $today );
          break;
        case 's':
          $this->m_Time += ($this->m_Inc * 24 * 60 * 60);
          break;
        default:
          $rVal = false;
      }
    }

    return $rVal;
    }

  public function setDataFromDbEntry( $entry )
  {
    $this->m_ID     = $entry['id'];
    $this->m_Time   = $entry['time'];
    $this->m_Type   = $entry['type'];
    $this->m_Inc    = $entry['inc'];
    $this->m_Msg    = $entry['msg'];
  }

  public function load( $db, $db_table )
  {
    $rVal = false;

    $sql      = sprintf( "SELECT * FROM %s WHERE id = %d", $db_table, $this->m_ID );
    $entries  = mysqli_query( $db, $sql );

    if ( isset( $entries ) )
    {
      $entry = mysqli_fetch_array( $entries );

      if ( $entry )
      {
        $this->setDataFromDbEntry( $entry );
        $rVal = true;
      }
    }

    return $rVal;
  }

  public function save( $db, $db_table )
  {
    $rVal = false;

    if ( !$this->checkProgress() )
    {
      $sql = sprintf( "DELETE FROM %s WHERE id = %d", $db_table, $this->m_ID );
    }
    else
    {
      if ( $this->m_ID > 0 )
      {
        $sql = sprintf( "UPDATE %s SET time=%d, type='%s', inc='%s', msg='%s' WHERE id = %d"
                      , $db_table
                      , $this->m_Time
                      , $this->m_Type
                      , $this->m_Inc
                      , $this->m_Msg
                      , $this->m_ID
                      );
      }
      else
      {
        $sql = sprintf( "INSERT INTO %s (time, type, inc, msg) VALUES (%d, '%s', '%s', '%s')"
                      , $db_table
                      , $this->m_Time
                      , $this->m_Type
                      , $this->m_Inc
                      , $this->m_Msg
                      );
      }
    }

    $rVal = mysqli_query( $db, $sql );

    return $rVal;
  }
}
?>
