<?
// Version 2015062301, (c) 2010, 2015 by W.R.Schulz, Kngen
require_once '_admBean.php';

class installBean
extends admBean
{
  public $m_DbHost    = null;
  public $m_DbUser    = null;
  public $m_DbPass    = null;
  public $m_DbCatalog = null;
  public $m_DbTable   = null;

  protected function evalRequest( $request )
  {
    parent::evalRequest( $request );

    if ( isset( $request['db_host'] ) )     $this->m_DbHost    = $request['db_host'];
    if ( isset( $request['db_user'] ) )     $this->m_DbUser    = $request['db_user'];
    if ( isset( $request['db_pass'] ) )     $this->m_DbPass    = $request['db_pass'];
    if ( isset( $request['db_catalog'] ) )  $this->m_DbCatalog = $request['db_catalog'];
    if ( isset( $request['db_table'] ) )    $this->m_DbTable   = $request['db_table'];
  }

  protected function verify()
  {
    parent::verify();

    if ( !($this->isPasswordSet()) )
    {
      $this->m_Errors['pw1'] = 'Es muss ein Passwort angegeben werden.';
    }

    if ( empty( $this->m_DbHost ) )
    {
      $this->m_Errors['db_host'] = 'Es muss ein Host angegeben werden.';
    }

    if ( empty( $this->m_DbCatalog ) )
    {
      $this->m_Errors['db_catalog'] = 'Es muss ein Datenbankname angegeben werden.';
    }

    if ( empty( $this->m_DbTable ) )
    {
      $this->m_Errors['db_table'] = 'Es muss ein Tabellenname angegeben werden.';
    }
  }

  protected function createDbTable()
  {
    $rVal = true;
    $db   = mysqli_connect( $this->m_DbHost, $this->m_DbUser, $this->m_DbPass, $this->m_DbCatalog );

    if ( $db === false )
    {
      $rVal = false;
      $msg = sprintf( '<p class="f_err">Es konnte keine Verbindung zum Datenbank-Server hergestellt werden:</p><p class="f_err">%s</p>', htmlspecialchars( mysqli_connect_error() ) );
      echo $msg."\n";
    }
    else
    {
      $sql  = sprintf( "CREATE TABLE %s ( id int(11) NOT NULL AUTO_INCREMENT, time int(11) DEFAULT '0' NOT NULL, type text NOT NULL, inc text, msg text NOT NULL, PRIMARY KEY (id), KEY(time) )", $this->m_DbTable );
      $rVal = mysqli_query( $db, $sql );

      if ( !$rVal )
      {
        $msg = sprintf( '<p class="f_err">Fehler beim Erstellen der Tabelle "%s":</p><p class="f_err">%s</p>', $this->m_DbTable, htmlspecialchars( mysqli_error( $db ) ) );
        echo $msg."\n";
      }

      mysqli_close( $db );
    }

    return $rVal;
  }

  public function __construct( $request )
  {
    global $db_host, $db_user, $db_pass, $db_catalog, $db_table;

    $this->m_DbHost    = $db_host;
    $this->m_DbUser    = $db_user;
    $this->m_DbPass    = $db_pass;
    $this->m_DbCatalog = $db_catalog;
    $this->m_DbTable   = $db_table;

    parent::__construct( $request );
  }

  public function writeConfig()
  {
    $rVal = true;

    if ( $rVal )
    {
      $rVal = $this->createDbTable();
    }

    if ( $rVal )
    {
      $rVal = false;

      if ( $fh = fopen( '../cfg/db.conf', 'wt' ) )
      {
        fwrite( $fh, "<?\n" );
        fwrite( $fh, sprintf( "\$db_host=\"%s\";\n",    $this->m_DbHost ) );
        fwrite( $fh, sprintf( "\$db_user=\"%s\";\n",    $this->m_DbUser ) );
        fwrite( $fh, sprintf( "\$db_pass=\"%s\";\n",    $this->m_DbPass ) );
        fwrite( $fh, sprintf( "\$db_catalog=\"%s\";\n", $this->m_DbCatalog ) );
        fwrite( $fh, sprintf( "\$db_table=\"%s\";\n",   $this->m_DbTable ) );
        fwrite( $fh, "?>\n" );

        fclose( $fh );
        $rVal = true;
      }
    }

    if ( $rVal )
    {
      $rVal = parent::writeConfig();
    }

    return $rVal;
  }
}
?>
