<?
// Version 2010061701, (c) 2010 by W.R.Schulz, Kngen
require_once '_FormBean.php';

class tdesignBean
extends FormBean
{
  const MIN_DAYS        = 1;
  const MAX_DAYS        = 120;
  const DEF_DAYS        = 7;
  const DEF_DATE_FORMAT = 'd.m.';
  const DEF_CSS_FILE    = 'standard.css';

  public $m_Days        = self::DEF_DAYS;
  public $m_DateFormat  = self::DEF_DATE_FORMAT;
  public $m_CssFile     = self::DEF_CSS_FILE;

  protected function evalRequest( $request )
  {
    parent::evalRequest( $request );

    if ( isset( $request['days'] ) )        $this->m_Days       = $request['days'];
    if ( isset( $request['date_format'] ) ) $this->m_DateFormat = $request['date_format'];
    if ( isset( $request['css_file'] ) )    $this->m_CssFile    = $request['css_file'];
  }

  protected function verify()
  {
    parent::verify();

    if ( $this->m_Days < self::MIN_DAYS  ||  $this->m_Days > self::MAX_DAYS )
    {
      $this->m_Errors['days'] = sprintf( 'Wert muss zwischen %d und %d liegen.', self::MIN_DAYS, self::MAX_DAYS );
    }

    if ( empty( $this->m_DateFormat ) )
    {
      $this->m_Errors['date_format'] = 'Es muss ein Format angegeben werden.';
    }
  }

  public function __construct( $request )
  {
    global $days, $date_format, $css_file;

    $this->m_Days       = $days;
    $this->m_DateFormat = $date_format;
    $this->m_CssFile    = $css_file;

    parent::__construct( $request );
  }

  public function writeConfig()
  {
    $rVal = false;

    if ( $fh = fopen( '../cfg/termine.conf', 'wt' ) )
    {
      fwrite( $fh, "<?\n" );
      fwrite( $fh, sprintf( "\$days=%d;\n",             $this->m_Days       ) );
      fwrite( $fh, sprintf( "\$date_format=\"%s\";\n",  $this->m_DateFormat ) );
      fwrite( $fh, sprintf( "\$css_file=\"%s\";\n",     $this->m_CssFile    ) );
      fwrite( $fh, "?>\n" );

      fclose( $fh );
      $rVal = true;
    }

    return $rVal;
  }
}
?>
