<?
$Version      = 'Version 2011121301, (c) 2010, 2011 by W.R.Schulz, Kngen';
$Title        = 'Termine-Installation';
$WritePopupFn = false;

require_once '../cfg/adm.conf';
require_once '../cfg/db.conf';

function chkContinue()
{
  global $adm_nick;
  global $adm_pw;
  global $Action;

  $rVal = true;

  if ( !empty( $adm_nick )  &&  !empty( $adm_pw ) )
  {
    $rVal = false;
    header( 'Location: .' );
  }

  return $rVal;
}

if ( chkContinue() )
{
  require_once '_appbase.php';
  require_once '_installBean.php';
  $installInfo = new installBean( $_REQUEST );

  require_once '_contentFrame.php';
  $cf = new contentFrame( 'Installation' );

  require_once '_header.php';
?>
<h2><?= $Title ?></h2>
<?
  $installDone = false;

  if ( $installInfo->isSave() )
  {
    if ( $installInfo->hasErrors() )
    {
?>
<p class="f_err">
Die angegebenen Daten enthalten Fehler. Bitte berpr&uuml;fen Sie Ihre Eingaben.
</p>
<?
    }
    else
    {
      if ( $installInfo->writeConfig() )
      {
?>
<p class="f_ok">
Die Installation wurde erfolgreich durchgef&uuml;hrt.
</p>
<?
        $installDone = true;
      }
      else
      {
?>
<p class="f_err">
Die Installation ist aus o.g. Grund gescheitert.
</p>
<?
      }
    }
  }

  if ( $installDone )
  {
?>
<hr>
<p class="nav"><a class="navm" href=".">Weiter zur Administration</a></p>
<?
  }
  else
  {
?>
<form method="post" action="<?= $_SERVER['PHP_SELF'] ?>">
  <div class="f"><table class="f"><tr>
    <td class="f">
      <h4>Administrator</h4>
      <table class="fi">
        <tr>
          <td class="f_c">Benutzername des Administrators:</td>
          <td class="f_i"><input class="f" type="text" name="adm_nick" size="20" maxlength="40" value="<?= $installInfo->m_AdmNick ?>"></td>
          <td class="f"><span class="ferrsm"><?= $installInfo->getError( 'adm_nick' ) ?></span></td>
        </tr>
        <tr>
          <td class="f_c">Passwort:</td>
          <td class="f_i"><input class="f" type="password" name="pw1" size="20" maxlength="40"></td>
          <td class="f"><span class="ferrsm"><?= $installInfo->getError( 'pw1' ) ?></span></td>
        </tr>
        <tr>
          <td class="f_c">Passwort wiederholen:</td>
          <td class="f_i"><input class="f" type="password" name="pw2" size="20" maxlength="40"></td>
          <td class="f"><span class="ferrsm"><?= $installInfo->getError( 'pw2' ) ?></span></td>
        </tr>
      </table>
    </td>
  </tr><tr>
    <td class="f">
      <h4>Datenbank</h4>
      <table class="fi">
        <tr>
          <td class="f_c">Name oder Adresse des Datenbank-Servers:<br><span class="fsmall">(oft ist &quot;localhost&quot; korrekt)</span></td>
          <td class="f_i"><input class="f" type="text" name="db_host" size="20" maxlength="40" value="<?= $installInfo->m_DbHost ?>"></td>
          <td class="f"><span class="ferrsm"><?= $installInfo->getError( 'db_host' ) ?></span></td>
        </tr>
        <tr>
          <td class="f_c">Name des Datenbank-Benutzers:</td>
          <td class="f_i"><input class="f" type="text" name="db_user" size="20" maxlength="40" value="<?= $installInfo->m_DbUser ?>"></td>
          <td class="f"><span class="ferrsm"><?= $installInfo->getError( 'db_user' ) ?></span></td>
        </tr>
        <tr>
          <td class="f_c">Passwort f&uuml;r den Zugriff auf die Datenbank:</td>
          <td class="f_i"><input class="f" type="text" name="db_pass" size="20" maxlength="40" value="<?= $installInfo->m_DbPass ?>"></td>
          <td class="f"><span class="ferrsm"><?= $installInfo->getError( 'db_pass' ) ?></span></td>
        </tr>
        <tr>
          <td class="f_c">Name der Datenbank, in der die Termine gespeichert werden sollen:<br><span class="fsmall">(Die Datenbank muss bereits existieren!)</span></td>
          <td class="f_i"><input class="f" type="text" name="db_catalog" size="20" maxlength="40" value="<?= $installInfo->m_DbCatalog ?>"></td>
          <td class="f"><span class="ferrsm"><?= $installInfo->getError( 'db_catalog' ) ?></span></td>
        </tr>
        <tr>
          <td class="f_c">Name der Tabelle, in der die Termine gespeichert werden sollen:<br><span class="fsmall">(Die Tabelle wird von dieser Installations-Routine angelegt und darf in der Datenbank noch nicht(!) existieren.)</span></td>
          <td class="f_i"><input class="f" type="text" name="db_table" size="20" maxlength="40" value="<?= $installInfo->m_DbTable ?>"></td>
          <td class="f"><span class="ferrsm"><?= $installInfo->getError( 'db_table' ) ?></span></td>
        </tr>
      </table>
    </td>
  </tr><tr>
    <td class="f_b"><input type="submit" name="save" value="Speichern"></td>
  </tr></table></div>
</form>
<?
  }
?>
</body>
</html>
<?
}
?>

