<?
$Version      = 'Version 2011121201, (c) 2010, 2011 by W.R.Schulz, Kngen';
$Title        = 'Termine-Administration - Aussehen der Termine-Liste';
$WritePopupFn = true;

require_once '../cfg/adm.conf';
require_once '../cfg/termine.conf';
require_once '_chkCont.php';

function readStyles()
{
  $rVal = array();

  if ( $ind = opendir( '../styles/' ) )
  {
    while ( $file = readdir( $ind ) )
    {
      if ( preg_match( "/^.+\.css$/", $file ) )
      {
        $rVal[] = substr( $file, 0, strlen( $file ) - 4 );
      }
    }

    closedir( $ind );
    sort( $rVal );
  }

  return $rVal;
}

require_once '_session.php';

if ( chkContinue() )
{
  require_once '_tdesignBean.php';
  $tInfo = new tdesignBean( $_REQUEST );

  require_once '_contentFrame.php';
  $cf = new contentFrame( 'Aussehen' );

  require_once '_header.php';

  $cf->writeStart();
?>
<h3>Aussehen der Termine-Liste</h3>
<?
  if ( $tInfo->isSave() )
  {
    if ( $tInfo->hasErrors() )
    {
?>
<p class="f_err">
Die &Auml;nderungen konnten nicht gespeichert werden, da die angegebenen Daten
Fehler enthalten. Bitte berpr&uuml;fen Sie Ihre Eingaben.
</p>
<?
    }
    else
    {
      if ( $tInfo->writeConfig() )
      {
?>
<p class="f_ok">
Die &Auml;nderungen wurden gespeichert.
</p>
<?
      }
      else
      {
?>
<p class="f_err">
Die &Auml;nderungen konnten nicht gespeichert werden, da die Konfigurationsdatei
nicht zum Schreiben ge&ouml;ffnet werden konnte.
</p>
<?
      }
    }
  }
?>
<form method="post" action="<?= $_SERVER['PHP_SELF'] ?>">
  <div class="f"><table class="f"><tr>
    <td class="f">
      <h4>Ausgabe</h4>
      <table class="fi">
        <tr>
          <td class="f_c">Anzahl der Tage:<br><span class="fsmall">(min. <?= tdesignBean::MIN_DAYS ?>, max. <?= tdesignBean::MAX_DAYS ?>, std. <?= tdesignBean::DEF_DAYS ?>)</span></td>
          <td class="f_i"><input class="f" type="text" name="days" size="6" maxlength="5" value="<?= $tInfo->m_Days ?>"></td>
          <td class="f"><span class="ferrsm"><?= $tInfo->getError( 'days' ) ?></span></td>
        </tr>
        <tr>
          <td class="f_c">Format der Datumsanzeige:<br><span class="fsmall">(Die Syntax ist identisch mit der des Format-Parameters<br>der PHP-Funktion <a href="http://www.php.net/date" target='_blank'>date()</a>. Standard ist &quot;<?= tdesignBean::DEF_DATE_FORMAT ?>&quot;.)</span></td>
          <td class="f_i"><input class="f" type="text" name="date_format" size="10" maxlength="40" value="<?= $tInfo->m_DateFormat ?>"></td>
          <td class="f"><span class="ferrsm"><?= $tInfo->getError( 'date_format' ) ?></span></td>
        </tr>
      </table>
    </td><td class="f">
      <h4>Design</h4>
      <table class="fi">
<?
  $styles = readStyles();
  foreach( $styles as $style )
  {
?>
        <tr>
          <td class="f"><input type="radio" name="css_file" value="<?= $style.'.css' ?>"<?= ($style.'.css' == $tInfo->m_CssFile)?' checked="checked"':'' ?>>&nbsp;<?= $style ?></td>
          <td class="f"><a class="f" onClick="return popUp('..?css=<?= $style.'.css' ?>',500,150,true)" href="">Vorschau</a></td>
        </tr>
<?
  }
?>
      </table>
    </td>
  </tr><tr>
    <td class="f_b" colspan="2"><input type="submit" name="save" value="Speichern"></td>
  </tr></table></div>
</form>
<?
  $cf->writeEnd();
?>
</body>
</html>
<?
}
?>
