<?
$Version      = 'Version 2011121201, (c) 2010, 2011 by W.R.Schulz, Kngen';
$Title        = 'Termine-Administration - %s';
$WritePopupFn = false;

require_once '../cfg/adm.conf';
require_once '../cfg/db.conf';
require_once '_chkCont.php';

function writeTMoOffsEntry( $offs )
{
  global $teditInfo;

  $ord = intval( $offs / 7 ) + 1;
  $chk = ($teditInfo->m_TMoOffs == $offs) ? ' checked="checked"' : '';

  echo '<input type="radio" name="tmooffs" value="'.$offs.'"'.$chk.'>&nbsp;'.$ord.".\n";
}

require_once '_session.php';

if ( chkContinue() )
{
  $id       = isset( $_REQUEST['id'] ) ? $_REQUEST['id'] : 0;
  $PageName = sprintf( 'Termin %s', $id > 0 ? 'bearbeiten' : 'erstellen' );
  $tmp      = sprintf( $Title, $PageName );
  $Title  = $tmp;

  require_once '_teditBean.php';
  $teditInfo = new teditBean( $_REQUEST );

  require_once '_contentFrame.php';
  $cf = new contentFrame( $PageName );

  require_once '_header.php';

  $cf->writeStart();
?>
<h3><?= $PageName ?></h3>
<?
  if ( !$teditInfo->isSave() )
  {
    if ( $teditInfo->hasErrors() )
    {
?>
<p class="f_err">
<?= $teditInfo->getError( 'type' ) ?>
</p>
<?
    }
  }
  else
  {
    if ( $teditInfo->hasErrors() )
    {
?>
<p class="f_err">
Die &Auml;nderungen konnten nicht gespeichert werden, da die angegebenen Daten
Fehler enthalten.<br>Bitte berpr&uuml;fen Sie Ihre Eingaben.
</p>
<p class="f_err">
<?= $teditInfo->getError( 'type' ) ?>
</p>
<?
    }
    else
    {
      if ( $teditInfo->writeChanges() )
      {
        if ( $teditInfo->m_ID == 0 )
        {
          $teditInfo->clear();
        }
?>
<p class="f_ok">
Die &Auml;nderungen wurden gespeichert.
</p>
<?
      }
      else
      {
?>
<p class="f_err">
Die &Auml;nderungen konnten nicht gespeichert werden, da beim Zugriff auf die
Datenbank ein Fehler auftrat.
</p>
<?
      }
    }
  }
?>
<form method="post" action="<?= $_SERVER['PHP_SELF'] ?>">
  <input type="hidden" name="id", value="<?= $teditInfo->m_ID ?>">
  <div class="f"><table class="f">
    <tr class="fi">
      <td class="f"><input type="radio" name="type" value="1"<?= strcmp( $teditInfo->m_Type, '1' )?'':' checked="checked"' ?>>&nbsp;Einmaliger Termin</td>
      <td class="f">
        <table class="fii">
          <tr>
            <td class="f_c">Datum <span class="fsmall">(JJJJ-MM-TT)</span>:</td>
            <td class="f_i"><input class="f" type="text" name="t1date" size="11" maxlength="10"<?= empty( $teditInfo->m_T1Date )?'':' value="'.$teditInfo->m_T1Date.'"' ?>></td>
            <td class="f"><span class="ferrsm"><?= $teditInfo->getError( 't1date' ) ?></span></td>
          </tr>
        </table>
      </td>
    </tr><tr class="fi">
      <td class="f"><input type="radio" name="type" value="y"<?= strcmp( $teditInfo->m_Type, 'y' )?'':' checked="checked"' ?>>&nbsp;J&auml;hrlicher Termin<br><span class="fsmall">(z.B. Geburtstag am 21.07.)</span></td>
      <td class="f">
        <table class="fii">
          <tr>
            <td class="f_c">Monat, Tag <span class="fsmall">(MM-TT)</span>:</td>
            <td class="f_i"><input class="f" type="text" name="tydate" size="6" maxlength="5"<?= empty( $teditInfo->m_TYDate )?'':' value="'.$teditInfo->m_TYDate.'"' ?>></td>
            <td class="f"><span class="ferrsm"><?= $teditInfo->getError( 'tydate' ) ?></span></td>
          </tr>
        </table>
      </td>
    </tr><tr class="fi">
      <td class="f"><input type="radio" name="type" value="mo"<?= strcmp( $teditInfo->m_Type, 'mo' )?'':' checked="checked"' ?>>&nbsp;Monatlich an einem best. Wochentag<br><span class="fsmall">(z.B. immer am 2. Freitag des Monats)</span></td>
      <td class="f">
        <table class="fii">
          <tr><td class="f">
<?  writeTMoOffsEntry( 0 );  writeTMoOffsEntry( 7 );  writeTMoOffsEntry( 14 );  writeTMoOffsEntry( 21 ); ?>
            Sonntag
          </td><td class="f">
            <span class="ferrsm"><?= $teditInfo->getError( 'tmooffs' ) ?></span>
          </td></tr>
          <tr><td class="f">
<?  writeTMoOffsEntry( 1 );  writeTMoOffsEntry( 8 );  writeTMoOffsEntry( 15 );  writeTMoOffsEntry( 22 ); ?>
            Montag
          </td><td class="f">
            &nbsp;
          </td></tr>
          <tr><td class="f">
<?  writeTMoOffsEntry( 2 );  writeTMoOffsEntry( 9 );  writeTMoOffsEntry( 16 );  writeTMoOffsEntry( 23 ); ?>
            Dienstag
          </td><td class="f">
            &nbsp;
          </td></tr>
          <tr><td class="f">
<?  writeTMoOffsEntry( 3 );  writeTMoOffsEntry( 10 );  writeTMoOffsEntry( 17 );  writeTMoOffsEntry( 24 ); ?>
            Mittwoch
          </td><td class="f">
            &nbsp;
          </td></tr>
          <tr><td class="f">
<?  writeTMoOffsEntry( 4 );  writeTMoOffsEntry( 11 );  writeTMoOffsEntry( 18 );  writeTMoOffsEntry( 25 ); ?>
            Donnerstag
          </td><td class="f">
            &nbsp;
          </td></tr>
          <tr><td class="f">
<?  writeTMoOffsEntry( 5 );  writeTMoOffsEntry( 12 );  writeTMoOffsEntry( 19 );  writeTMoOffsEntry( 26 ); ?>
            Freitag
          </td><td class="f">
            &nbsp;
          </td></tr>
          <tr><td class="f">
<?  writeTMoOffsEntry( 6 );  writeTMoOffsEntry( 13 );  writeTMoOffsEntry( 20 );  writeTMoOffsEntry( 27 ); ?>
            Samstag
          </td><td class="f">
            &nbsp;
          </td></tr>
        </table>
      </td>
    </tr><tr class="fi">
      <td class="f"><input type="radio" name="type" value="s"<?= strcmp( $teditInfo->m_Type, 's' )?'':' checked="checked"' ?>>&nbsp;In einem bestimmten Abstand</td>
      <td class="f">
        <table class="fii">
          <tr>
            <td class="f_c">Alle</td>
            <td class="f_i"><input class="f" type="text" name="tsoffs" size="4" maxlength="3"<?= empty( $teditInfo->m_TSOffs )?'':' value="'.$teditInfo->m_TSOffs.'"' ?>>&nbsp;Tage <span class="fsmall">(min. <?= teditBean::MIN_TSOFFS ?>, max. <?= teditBean::MAX_TSOFFS ?>)</span></td>
            <td class="f"><span class="ferrsm"><?= $teditInfo->getError( 'tsoffs' ) ?></span></td>
          </tr>
          <tr>
            <td class="f_c">Erstmalig am <span class="fsmall">(JJJJ-MM-TT)</span>:</td>
            <td class="f_i"><input class="f" type="text" name="tsdate" size="11" maxlength="10"<?= empty( $teditInfo->m_TSDate )?'':' value="'.$teditInfo->m_TSDate.'"' ?>></td>
            <td class="f"><span class="ferrsm"><?= $teditInfo->getError( 'tsdate' ) ?></span></td>
          </tr>
        </table>
      </td>
    </tr><tr>
      <td class="f_b" colspan="2">Beschreibung <span class="fsmall">(1-<?= teditBean::MAX_LEN_MSG ?> Zeichen)</span>: <input class="f" type="text" name="msg" size="40" maxlenght="200"<?= empty( $teditInfo->m_Msg )?'':' value="'.$teditInfo->m_Msg.'"' ?>> <span class="ferrsm"><?= $teditInfo->getError( 'msg' ) ?></span></td>
    </tr>
    </tr><tr>
      <td class="f_b" colspan="2"><input type="submit" name="save" value="Speichern"></td>
    </tr>
  </table></div>
</form>
<?
  $cf->writeEnd();
?>
</body>
</html>
<?
}
?>
