<?
$Version      = 'Version 2015062301, (c) 2010, 2011, 2015 by W.R.Schulz, Kngen';
$Title        = 'Termine-Administration - Termine verwalten';
$WritePopupFn = false;

require_once '../cfg/adm.conf';
require_once '../cfg/db.conf';
require_once '../_wota.php';
require_once '_chkCont.php';

function getInClause( $delm )
{
  $rVal = '';

  for( $idx = 0;  isset( $delm[$idx] );  $idx++ )
  {
    if ( $idx > 0 )
    {
      $rVal .= ', ';
    }
    $rVal .= $delm[$idx];
  }

  return $rVal;
}

function getTypeInfo( $entry )
{
  global $Wochentage;

  $rVal = '';

  switch ( $entry['type'] )
  {
    case '1':
      $rVal = 'Einmaliger Termin';
      break;
    case 'y':
      $rVal = 'J&auml;hrlicher Termin';
      break;
    case 'mo':
      $ord  = intval( $entry['inc'] / 7 ) + 1;
      $wota = $entry['inc'] % 7;
      $rVal = sprintf( 'Am %d. %s eines jeden Monats', $ord, $Wochentage[$wota] );
      break;
    case 's':
      $rVal = sprintf( 'Alle %d Tage', $entry['inc'] );
      break;
    default:
      $rVal = $entry['type'];
      if ( !empty( $entry['inc'] ) ) $rVal .= sprintf( ':%s', $entry['inc'] );
  }

  return $rVal;
}

require_once '_session.php';

$Action = isset( $_REQUEST['action'] ) ? $_REQUEST['action'] : '';

if ( chkContinue() )
{
  require_once '_contentFrame.php';
  $cf = new contentFrame( 'Termine' );

  require_once '_header.php';

  $cf->writeStart();
?>
<h3>Termine verwalten</h3>
<?
  $db = mysqli_connect( $db_host, $db_user, $db_pass, $db_catalog );

  switch ( $Action )
  {
  case 'delmark':
    if ( isset( $_REQUEST['delm'] ) )
    {
      mysqli_query( $db, 'DELETE FROM '.$db_table.' WHERE id IN ( '.getInClause( $_REQUEST['delm'] ).' )' );
    }
    break;
  case 'delall':
    mysqli_query( $db, 'DELETE FROM '.$db_table );
    break;
  default:
    // NOP;
  }

  $ofs = isset( $_REQUEST['ofs'] ) ? (int)( $_REQUEST['ofs'] ) : 0;
  $cnt = 0;
  $entries = mysqli_query( $db, "SELECT COUNT(*) AS cnt FROM $db_table" );
  if ( isset( $entries )  &&  $entry = mysqli_fetch_array( $entries ) )
  {
    $cnt = $entry['cnt'];
  }

  $entries = mysqli_query( $db, "SELECT * FROM $db_table ORDER BY time DESC LIMIT $adm_max_entries OFFSET $ofs" );
?>
<p class="nav">
<?
  $n = 1;
  for ( $idx = 0;  $idx < $cnt;  $idx += $adm_max_entries )
  {
    if ( $idx == $ofs ) print "[$n]\n";
    else                print '<a class="nav" href="'.$_SERVER['PHP_SELF'].'?ofs='.$idx.$cf->getCssParam().'">['.$n.']</a>'."\n";
    $n++;
  }

  if ( $cnt > 0 )
  {
?>
<br>
Eintrag <?= $ofs + 1 ?> bis <?= min( $ofs + $adm_max_entries, $cnt ) ?> von <?= $cnt ?>
<?
  }
?>
</p>
<?
  if ( isset( $entries ) )
  {
?>
<form method="post" action="<?= $_SERVER['PHP_SELF'] ?>">
  <table class="t">
<?
    $n = 0;
    while( $entry = mysqli_fetch_array( $entries ) )
    {
?>
    <tr>
      <td class="t_c"><input type="checkbox" name="delm[]" value="<?= $entry['id'] ?>"></td>
      <td class="t<?= ($n % 2) ?>" title="<?= getTypeInfo( $entry ) ?>"><b><?= date( "Y-m-d", $entry['time'] ); ?></b> <?= $entry['msg'] ?></td>
      <td class="t_c"><a href="<?= $cf->getHrefEdit( $entry['id'] ) ?>">bearbeiten</a></td>
    </tr>
<?
      $n++;
    }
?>
  </table>
  <table class="f">
    <tr>
      <td class="f_c">L&ouml;schen:</td>
      <td class="f">
<?
    if ( $cf->isPreview() )
    {
      echo '        <input type="hidden" name="css" value="'.$cf->getCssName().'">'."\n";
      echo '        <select name="_action">'."\n";
    }
    else
    {
      echo '        <select name="action">'."\n";
    }
?>
          <option value="delmark">Markierte Termine l&ouml;schen</option>
          <option value="delall">Alle Termine l&ouml;schen</option>
        </select>
        <input type="submit" name="go" value="L&ouml;schen!">
      </td>
    </tr><tr>
      <td class="f_c">Neuer Termin:</td>
      <td class="f"><a class="navm" href="<?= $cf->getHrefEdit( '0' ) ?>">Termin erstellen</a></td>
    </tr>
  </table>
</form>
<?
  }

  mysqli_close( $db );

  $cf->writeEnd();
?>
</body>
</html>
<?
}
?>
