<?
$Version = 'Version 2015062301, (c) 2010, 2011, 2015 by W.R.Schulz, Kngen';
$Title   = 'Termine-Liste';

require_once 'cfg/db.conf';
require_once 'cfg/termine.conf';

require_once '_terminVO.php';

function advanceEntries( $db, $today )
{
  global $db_table;

  $termine  = Array();
  $entries  = mysqli_query( $db, "SELECT * FROM $db_table WHERE time < $today ORDER BY time ASC" );

  if ( isset( $entries ) )
  {
    while( $entry = mysqli_fetch_array( $entries ) )
    {
      $tmp = new terminVO();
      $tmp->setDataFromDbEntry( $entry );
      $termine[] = $tmp;
    }

    $idx = 0;
    while ( isset( $termine[$idx] ) )
    {
      $tmp = $termine[$idx];
      $tmp->save( $db, $db_table );
      $idx++;
    }
  }
}

// Get DB-connection.
$db = mysqli_connect( $db_host, $db_user, $db_pass, $db_catalog );

// See, whether a style-sheet is specified (preview-mode).
if ( isset( $_REQUEST['css'] ) )  $css_file = $_REQUEST['css'];

// Get timestamp for today and advance older entries.
$today = mktime( 0, 0, 0 );
advanceEntries( $db, $today );

// Get max-timestamp and then get upcoming events.
$upto = $today + ($days * 24 * 60 * 60);
$sql  = sprintf( 'SELECT * FROM %s WHERE time >= %d AND time < %d ORDER BY time ASC'
               , $db_table
               , $today
               , $upto
               );
$entries = mysqli_query( $db, $sql );

require_once '_header.php';

if ( isset( $entries ) )
{
?>
<table class="t">
<?
  $n = 0;
  while( $entry = mysqli_fetch_array( $entries ) )
  {
?>
  <tr><td class="t<?= ($n % 2) ?>"><b><?= date( $date_format, $entry['time'] ); ?></b> <?= $entry['msg'] ?></td></tr>
<?
    $n++;
  }

  if ( $n == 0 )
  {
?>
  <tr><td class="t0"><i>Keine Termine in den n&auml;chsten <?= $days ?> Tagen.</i></td></tr>
<?
  }
?>
</table>
<?
}
?>
</body>
</html>
<?
mysqli_close( $db );
?>

